// Příklad užití LCD modulu prostřednictvím knihovny NewliquidCrystal
// https://www.arduino.cc/en/Reference/LiquidCrystal

#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// obvyklá adresa displeje je 0x27 (displeje s modrým podsvícením), méně obvyklá adresa je 0x3F (displeje se zeleným podsvícením)
LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  // inicializace dipleje

//-------------------------------------------------------------------------------------------------------------------
void setup() {
  lcd.begin(16, 2);  //nastavení rozlišení (2 řádky poc 16 znacích

  lcd.setCursor(0, 0);
  lcd.print("I2C Display");
  lcd.setCursor(0, 1);
  lcd.print("LCD Test");
}

//-------------------------------------------------------------------------------------------------------
void loop() {
    lcd.backlight();  //rozsvítí podsvícení na 2 vteřiny
    delay(2000);
    lcd.noBacklight(); //zhasne podsvícení na 1 vteřinu
    delay(1000);
}

